// $Id: Song.java,v 1.6 2003/06/09 16:20:52 xi Exp $

/******************************************************************************
*    MusicControl - An advanced music player
*    Copyright (C) 2002,2003  Christian Laursen <xi@borderworlds.dk>
*
*    This program is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

package dk.borderworlds;

public class Song {
	private String directory;
	private String filename;
	private String type;
	private int volumeId;

	public Song (String directory, String filename, String type, int volumeId) {
		this.directory = directory;
		this.filename = filename;
		this.type = type;
		this.volumeId = volumeId;
	}

	public String getDirectory () {
		return directory;
	}

	public String getFilename () {
		return filename;
	}

	public String getType () {
		return type;
	}

	public boolean fromVolume (int vol) {
		return volumeId == vol;
	}

	public boolean matchesString (String str) {
		String l = str.toLowerCase();
		return ((directory.toLowerCase().indexOf(l) != -1) || (filename.toLowerCase().indexOf(l) != -1));
	}
}
